From: "Arthur Zamarin" <arthurzam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/imlib/
Date: Sat, 13 Apr 2024 07:33:15 +0000 (UTC) [thread overview]
Message-ID: <1712993540.ef7d5a5f8e87919381ff14a7f5a8090d16347271.arthurzam@gentoo> (raw)
commit: ef7d5a5f8e87919381ff14a7f5a8090d16347271
Author: Michael Mair-Keimberger <mmk <AT> levelnine <DOT> at>
AuthorDate: Wed Mar 27 19:13:55 2024 +0000
Commit: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sat Apr 13 07:32:20 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ef7d5a5f
media-libs/imlib: EAPI8 bump, fix bug #925626
Signed-off-by: Michael Mair-Keimberger <mmk <AT> levelnine.at>
Closes: https://bugs.gentoo.org/925626
Closes: https://github.com/gentoo/gentoo/pull/35948
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>
media-libs/imlib/imlib-1.9.15-r8.ebuild | 73 +++++++++++++++++++++++++++++++++
1 file changed, 73 insertions(+)
diff --git a/media-libs/imlib/imlib-1.9.15-r8.ebuild b/media-libs/imlib/imlib-1.9.15-r8.ebuild
new file mode 100644
index 000000000000..d9d627be63f7
--- /dev/null
+++ b/media-libs/imlib/imlib-1.9.15-r8.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools multilib-minimal
+
+PVP=(${PV//[-\._]/ })
+DESCRIPTION="Image loading and rendering library"
+HOMEPAGE="https://ftp.acc.umu.se/pub/GNOME/sources/imlib/1.9/"
+SRC_URI="mirror://gnome/sources/${PN}/${PVP[0]}.${PVP[1]}/${P}.tar.bz2
+ mirror://gentoo/gtk-1-for-imlib.m4.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="static-libs"
+
+RDEPEND="
+ >=media-libs/tiff-3.9.7-r1:=[${MULTILIB_USEDEP}]
+ >=media-libs/giflib-5.1:0=[${MULTILIB_USEDEP}]
+ media-libs/libjpeg-turbo:=[${MULTILIB_USEDEP}]
+ >=media-libs/libpng-1.2.51:=[${MULTILIB_USEDEP}]
+ >=x11-libs/libICE-1.0.8-r1[${MULTILIB_USEDEP}]
+ >=x11-libs/libSM-1.2.1-r1[${MULTILIB_USEDEP}]
+ >=x11-libs/libXext-1.3.2[${MULTILIB_USEDEP}]
+"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+ default
+
+ # Fix aclocal underquoted definition warnings.
+ # Conditionalize gdk functions for bug 40453.
+ # Fix imlib-config for bug 3425.
+ eapply "${FILESDIR}"/${P}.patch
+ eapply "${FILESDIR}"/${PN}-security.patch #security #72681
+ eapply "${FILESDIR}"/${P}-bpp16-CVE-2007-3568.patch # security #201887
+ eapply "${FILESDIR}"/${P}-fix-rendering.patch #197489
+ eapply "${FILESDIR}"/${P}-asneeded.patch #207638
+ eapply "${FILESDIR}"/${P}-libpng15.patch #357167
+ eapply "${FILESDIR}"/${P}-underlinking-test.patch #367645
+ eapply "${FILESDIR}"/${P}-no-LDFLAGS-in-pc.patch
+ eapply "${FILESDIR}"/${P}-giflib51-{1,2}.patch #538976
+
+ mkdir m4 && cp "${WORKDIR}"/gtk-1-for-imlib.m4 m4 || die
+
+ AT_M4DIR="m4" eautoreconf
+}
+
+multilib_src_configure() {
+ ECONF_SOURCE="${S}" econf \
+ --sysconfdir=/etc/imlib \
+ $(use_enable static-libs static) \
+ --disable-gdk \
+ --disable-gtktest
+}
+
+multilib_src_install() {
+ emake DESTDIR="${D}" install
+ # fix target=@gdk-target@ in pkgconfig, bug #499268
+ sed -e '/^target=/d' \
+ -i "${ED}"/usr/$(get_libdir)/pkgconfig/imlib.pc || die
+}
+
+multilib_src_install_all() {
+ local HTML_DOCS=( doc/*.gif doc/*.html )
+ einstalldocs
+
+ # Punt unused files
+ rm -f "${D}"/usr/lib*/pkgconfig/imlibgdk.pc || die
+ find "${D}" -name '*.la' -exec rm -f {} + || die
+}
next reply other threads:[~2024-04-13 7:33 UTC|newest]
Thread overview: 15+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-04-13 7:33 Arthur Zamarin [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-05-25 12:58 [gentoo-commits] repo/gentoo:master commit in: media-libs/imlib/ Arthur Zamarin
2024-05-25 12:54 Arthur Zamarin
2024-05-23 21:56 Sam James
2024-05-23 21:53 Sam James
2024-05-23 21:53 Sam James
2024-05-23 21:53 Sam James
2024-05-23 21:53 Sam James
2024-04-13 7:33 Arthur Zamarin
2023-12-29 6:58 Arthur Zamarin
2018-01-13 17:17 Andreas Sturmlechner
2017-01-31 5:23 Jeroen Roovers
2016-11-29 17:36 Markus Meier
2016-11-20 7:52 Michael Palimaka
2016-11-15 15:34 Tobias Klausmann
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1712993540.ef7d5a5f8e87919381ff14a7f5a8090d16347271.arthurzam@gentoo \
--to=arthurzam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox